it-swarm-ja.com

.NET 3.5 SP1をインストールするときに「Windowsの機能をオンまたはオフにする」?

Windows 7マシンにプログラムをインストールしようとしていますが、.NET2.0以降をインストールする必要があると表示されます。 Windows 7には.NETがプリインストールされているので、サポートに電話すると、.NETのインストールが破損している可能性があるため、.NETを再インストールするように言われました。インストールしようとしているプログラムは SNGWiz です。私はそのインストーラーが壊れているとは思わない。

ただし、Microsoft .NETWebサイトからのダウンロードを使用して.NET3.5 SP1をインストールすると、次のエラーが発生します。

Microsoft .NET Framework 3.5 SP1をインストールするには、コントロールパネルの[Windowsの機能をオンまたはオフにする]を使用する必要があります。

Windowsの機能のオン/オフパネルに移動し、3.5のオンとオフの両方をオンにして、両方の状況で.NET 3.5SP1を再インストールしようとしました。しかし、同じエラーで失敗しました。

私に何ができる?

4
user1413

いいえ、元のポスターを使用しています。オンにしただけでは効果がありません。netフレームワークをオンまたはオフにして更新しても違いはありません。オンにした後でソフトウェアをインストールしようとすると、何も達成されません。これは大きな欠陥です。システムでは、

3
flutch

インストールする必要はありません。 「オン」にするだけです。

.NET Framework 3.5は、Windows7のWindowsの組み込み部分です。必要なのは機能をオンにすることだけです。インストーラーは、以前のバージョンのWindows用に構築されています。

3
freedumb2000

.NET 4.0はすでにインストールされていますか?これは彼らのインストーラーにとって問題かもしれませんか?

レジストリバージョンキーは4.0で変更され、.NETのチェック方法によっては、インストーラーが破損する可能性があります。これは私たちにとっては問題でした。表示されるメッセージも私たちが見たものです。

HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\NET Framework Setup\NDP\<...>\<Version>
1

私はこれを見る:

.NET2.0以降をインストールする必要があると表示されます。

この:

.NET 3.5SP1をインストールします

3.5は以前の2.0リリースと同じコアランタイムに依存しているため、.Net3.5は.Net2.0の「プラスパック」であると考える必要があります。 3.5を追加および削除しても、2.0のインストールで壊れたものを修正するのに役立ちません。 .Netが適切にインストールされていることを確認するには、3.5ではなく.Net2.0を実際に削除して再インストールします。

1
Joel Coehoorn